Vaults
List vaults
List your organization’s vault configs.
GET
/
api
/
v2
/
vaults
from hai_agents import Client
client = Client()
page = client.vaults.list_vaults(limit=50, offset=0)
for vault in page.vaults:
print(vault.id, vault.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.vaults.listVaults({ limit: 50, offset: 0 });
for (const vault of page.vaults) {
console.log(vault.id, vault.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/vaults?limit=50&offset=0" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"total": 2,
"limit": 50,
"offset": 0,
"vaults": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "prod-1password",
"provider_config": {"provider": "onepassword", "op_vault_id": "abcd1234efgh5678"},
"created_at": "2026-05-07T14:30:00Z",
"updated_at": "2026-05-07T14:30:00Z"
},
{
"id": "3b8d9c2e-6f1a-4e5b-8c7d-0a9b8c7d6e5f",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "team-logins",
"provider_config": {"provider": "internal"},
"created_at": "2026-05-08T09:12:00Z",
"updated_at": "2026-05-08T09:12:00Z"
}
]
}
Query parameters
integer
default:"50"
Maximum number of configs to return. Between
1 and 1000.integer
default:"0"
Number of configs to skip before collecting the page.
Response
200 with total, limit, offset, and a vaults array of vault objects.
from hai_agents import Client
client = Client()
page = client.vaults.list_vaults(limit=50, offset=0)
for vault in page.vaults:
print(vault.id, vault.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.vaults.listVaults({ limit: 50, offset: 0 });
for (const vault of page.vaults) {
console.log(vault.id, vault.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/vaults?limit=50&offset=0" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"total": 2,
"limit": 50,
"offset": 0,
"vaults": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "prod-1password",
"provider_config": {"provider": "onepassword", "op_vault_id": "abcd1234efgh5678"},
"created_at": "2026-05-07T14:30:00Z",
"updated_at": "2026-05-07T14:30:00Z"
},
{
"id": "3b8d9c2e-6f1a-4e5b-8c7d-0a9b8c7d6e5f",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "team-logins",
"provider_config": {"provider": "internal"},
"created_at": "2026-05-08T09:12:00Z",
"updated_at": "2026-05-08T09:12:00Z"
}
]
}
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
page = client.vaults.list_vaults(limit=50, offset=0)
for vault in page.vaults:
print(vault.id, vault.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.vaults.listVaults({ limit: 50, offset: 0 });
for (const vault of page.vaults) {
console.log(vault.id, vault.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/vaults?limit=50&offset=0" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"total": 2,
"limit": 50,
"offset": 0,
"vaults": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "prod-1password",
"provider_config": {"provider": "onepassword", "op_vault_id": "abcd1234efgh5678"},
"created_at": "2026-05-07T14:30:00Z",
"updated_at": "2026-05-07T14:30:00Z"
},
{
"id": "3b8d9c2e-6f1a-4e5b-8c7d-0a9b8c7d6e5f",
"org_id": "1c9a2f6e-4b3d-4a8c-9e5f-7d6b8a0c1e2f",
"created_by": "8d3e5a71-2c4b-4f6e-9a0d-1b2c3d4e5f60",
"name": "team-logins",
"provider_config": {"provider": "internal"},
"created_at": "2026-05-08T09:12:00Z",
"updated_at": "2026-05-08T09:12:00Z"
}
]
}